## meep-openmpi 1.23.0

=== doc/requirements.txt ===
mkdocs==1.2.3
python-markdown-math
mkdocs-material

=== debian/changelog ===
meep-openmpi (1.23.0-2) unstable; urgency=medium

  * upload source package

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 13 Jul 2022 23:17:34 +0200

meep-openmpi (1.23.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: change soname from 27 to 28

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 04 Jul 2022 19:14:04 +0000

meep-openmpi (1.22.0-2) unstable; urgency=medium

  * upload source

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 05 Mar 2022 18:32:19 +0100

meep-openmpi (1.22.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.6.0 (no changes)
  * debian/control: use dh13
  * debian/control: recommend libopenblas0 instead of libopenblas-base
                    (Closes: #994471)
  * bump soname from 23 to 27
  * fix build on i386

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 04 Mar 2022 23:32:19 +0100

=== debian/control ===
Source: meep-openmpi
Section: science
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: gfortran
	, debhelper-compat (= 13)
	, quilt
	, libctl-dev (>= 4.5.0-8)
	, pkg-config
	, libharminv-dev (>= 1.4.1)
	, zlib1g-dev
	, libfftw3-dev
	, libhdf5-openmpi-dev
	, libgsl-dev
	, liblapack-dev
	, libopenmpi-dev
	, libblas-dev
	, chrpath
	, swig
        , python3-dev
        , python3-numpy
        , python3-h5py
	, openmpi-bin
	, libgdsii-dev
#	, python3-matplotlib
Standards-Version: 4.6.1
Homepage: https://meep.readthedocs.io
Vcs-Browser: https://salsa.debian.org/alteholz/meep-openmpi
Vcs-Git: https://salsa.debian.org/alteholz/meep-openmpi.git

Package: meep-openmpi
Architecture: any
Depends: ${shlibs:Depends}, openmpi-bin, ${misc:Depends}
Conflicts: meep-mpi-default
        , meep-mpich2
        , meep
Recommends: libopenblas0 | libatlas3-base | libmkl-rt | libblas.so.3
Description: software package for FDTD simulation, parallel (OpenMPI) version
 Meep is a free and open-source software package for electromagnetics
 simulation via the finite-difference time-domain (FDTD) method.
 .
 Its features include:
   * Free and open-source software under the GNU GPL.
   * Complete scriptability via Python, Scheme, or C++ APIs.
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Distributed memory parallelism on any system supporting MPI.
   * Arbitrary anisotropic electric permittivity ε and magnetic permeability μ,
     along with dispersive ε(ω) and μ(ω) including loss/gain,
     nonlinear (Kerr & Pockels) dielectric and magnetic materials,
     electric/magnetic conductivities σ, and saturable gain/absorption.
   * Perfectly-matched layer (PML) absorbing boundaries as well as
     Bloch-periodic and perfect-conductor boundary conditions.
   * Exploitation of symmetries to reduce the computation size, including
     even/odd mirror planes and 90°/180° rotations.
   * Arbitrary current sources including a guided-mode launcher.
   * Frequency-domain solver for finding the response to a
      continuous-wave (CW) source.
   * ε/μ and field import/export in the HDF5 data format.
   * GDSII file import for planar geometries.
   * Materials library containing predefined broadband, complex
     refractive indices.
   * Field analyses including Poynting flux, mode decomposition, near to far
     transformations, frequency extraction, local density of states (LDOS),
     modal volume, Maxwell stress tensor, arbitrary functions; completely
     programmable.
 .
 This package contains the MPI version of the software.
 As opposed to meep-mpi this package also contains the OpenMPI version of
 libhdf5.

Package: libmeep-openmpi28
Section: libs
Conflicts: libmeep-openmpi6
	, libmeep-openmpi7
	, libmeep-openmpi8
	, libmeep-openmpi12
	, libmeep-openmpi16
	, libmeep-openmpi17
	, libmeep-openmpi22
	, libmeep-openmpi23
	, libmeep-openmpi27
	, libmeep-lam4-6
	, libmeep-lam4-7
	, libmeep-lam4-8
	, libmeep-lam4-12
	, libmeep-lam4-16
	, libmeep-lam4-17
	, libmeep-lam4-22
	, libmeep-lam4-23
	, libmeep-mpi-default6
	, libmeep-mpi-default7
	, libmeep-mpi-default8
	, libmeep-mpi-default12
	, libmeep-mpi-default16
	, libmeep-mpi-default17
	, libmeep-mpi-default22
	, libmeep-mpi-default23
	, libmeep-mpi-default27
	, libmeep-mpi-default28
	, libmeep-mpich2-6
	, libmeep-mpich2-7
	, libmeep-mpich2-8
	, libmeep-mpich2-12
	, libmeep-mpich2-16
	, libmeep-mpich2-17
	, libmeep-mpich2-22
	, libmeep-mpich2-23
	, libmeep6
	, libmeep7
	, libmeep8
	, libmeep10
	, libmeep12
	, libmeep16
	, libmeep17
	, libmeep22
	, libmeep23
	, libmeep27
	, libmeep28
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for using parallel (OpenMPI) version of meep
 Meep is a free and open-source software package for electromagnetics
 simulation via the finite-difference time-domain (FDTD) method.
 .
 Its features include:
   * Free and open-source software under the GNU GPL.
   * Complete scriptability via Python, Scheme, or C++ APIs.
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Distributed memory parallelism on any system supporting MPI.
   * Arbitrary anisotropic electric permittivity ε and magnetic permeability μ,
     along with dispersive ε(ω) and μ(ω) including loss/gain,
     nonlinear (Kerr & Pockels) dielectric and magnetic materials,
     electric/magnetic conductivities σ, and saturable gain/absorption.
   * Perfectly-matched layer (PML) absorbing boundaries as well as
     Bloch-periodic and perfect-conductor boundary conditions.
   * Exploitation of symmetries to reduce the computation size, including
     even/odd mirror planes and 90°/180° rotations.
   * Arbitrary current sources including a guided-mode launcher.
   * Frequency-domain solver for finding the response to a
      continuous-wave (CW) source.
   * ε/μ and field import/export in the HDF5 data format.
   * GDSII file import for planar geometries.
   * Materials library containing predefined broadband, complex
     refractive indices.
   * Field analyses including Poynting flux, mode decomposition, near to far
     transformations, frequency extraction, local density of states (LDOS),
     modal volume, Maxwell stress tensor, arbitrary functions; completely
     programmable.
 .
 This package contains the MPI version of the library.

Package: libmeep-openmpi-dev
Section: libdevel
Architecture: any
Conflicts: libmeep-dev, libmeep-mpi-dev, libmeep-mpich-dev, libmeep-mpich2-dev, libmeep-lam4-dev
Depends: libmeep-openmpi28 (= ${binary:Version}), ${misc:Depends}
Description: development library for using parallel (OpenMPI) version of meep
 Meep is a free and open-source software package for electromagnetics
 simulation via the finite-difference time-domain (FDTD) method.
 .
 Its features include:
   * Free and open-source software under the GNU GPL.
   * Complete scriptability via Python, Scheme, or C++ APIs.
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Distributed memory parallelism on any system supporting MPI.
   * Arbitrary anisotropic electric permittivity ε and magnetic permeability μ,
     along with dispersive ε(ω) and μ(ω) including loss/gain,
     nonlinear (Kerr & Pockels) dielectric and magnetic materials,
     electric/magnetic conductivities σ, and saturable gain/absorption.
   * Perfectly-matched layer (PML) absorbing boundaries as well as
     Bloch-periodic and perfect-conductor boundary conditions.
   * Exploitation of symmetries to reduce the computation size, including
     even/odd mirror planes and 90°/180° rotations.
   * Arbitrary current sources including a guided-mode launcher.
   * Frequency-domain solver for finding the response to a
      continuous-wave (CW) source.
   * ε/μ and field import/export in the HDF5 data format.
   * GDSII file import for planar geometries.
   * Materials library containing predefined broadband, complex
     refractive indices.
   * Field analyses including Poynting flux, mode decomposition, near to far
     transformations, frequency extraction, local density of states (LDOS),
     modal volume, Maxwell stress tensor, arbitrary functions; completely
     programmable.
 .
 This package contains some files for developing software linked to MPI.

Package: python3-meep-openmpi
Section: python
Architecture: any
Depends: libmeep-openmpi28 (= ${binary:Version})
        , ${misc:Depends}
        , ${shlibs:Depends}
        , python3-numpy
        , python3
Description: software package for FDTD simulation with Python
 Meep is a free and open-source software package for electromagnetics
 simulation via the finite-difference time-domain (FDTD) method.
 .
 Its features include:
   * Free and open-source software under the GNU GPL.
   * Complete scriptability via Python, Scheme, or C++ APIs.
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Distributed memory parallelism on any system supporting MPI.
   * Arbitrary anisotropic electric permittivity ε and magnetic permeability μ,
     along with dispersive ε(ω) and μ(ω) including loss/gain,
     nonlinear (Kerr & Pockels) dielectric and magnetic materials,
     electric/magnetic conductivities σ, and saturable gain/absorption.
   * Perfectly-matched layer (PML) absorbing boundaries as well as
     Bloch-periodic and perfect-conductor boundary conditions.
   * Exploitation of symmetries to reduce the computation size, including
     even/odd mirror planes and 90°/180° rotations.
   * Arbitrary current sources including a guided-mode launcher.
   * Frequency-domain solver for finding the response to a
      continuous-wave (CW) source.
   * ε/μ and field import/export in the HDF5 data format.
   * GDSII file import for planar geometries.
   * Materials library containing predefined broadband, complex
     refractive indices.
   * Field analyses including Poynting flux, mode decomposition, near to far
     transformations, frequency extraction, local density of states (LDOS),
     modal volume, Maxwell stress tensor, arbitrary functions; completely
     programmable.
 .
 This package contains the Python binding

## meep-openmpi 1.24.0

=== debian/changelog ===
meep-openmpi (1.24.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 04 Sep 2022 10:29:27 +0200

=== debian/control ===
--- 
+++ 
@@ -68,7 +68,7 @@
  As opposed to meep-mpi this package also contains the OpenMPI version of
  libhdf5.
 
-Package: libmeep-openmpi28
+Package: libmeep-openmpi29
 Section: libs
 Conflicts: libmeep-openmpi6
 	, libmeep-openmpi7
@@ -79,6 +79,7 @@
 	, libmeep-openmpi22
 	, libmeep-openmpi23
 	, libmeep-openmpi27
+	, libmeep-openmpi28
 	, libmeep-lam4-6
 	, libmeep-lam4-7
 	, libmeep-lam4-8
@@ -97,6 +98,7 @@
 	, libmeep-mpi-default23
 	, libmeep-mpi-default27
 	, libmeep-mpi-default28
+	, libmeep-mpi-default29
 	, libmeep-mpich2-6
 	, libmeep-mpich2-7
 	, libmeep-mpich2-8
@@ -116,6 +118,7 @@
 	, libmeep23
 	, libmeep27
 	, libmeep28
+	, libmeep29
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: library for using parallel (OpenMPI) version of meep
@@ -153,7 +156,7 @@
 Section: libdevel
 Architecture: any
 Conflicts: libmeep-dev, libmeep-mpi-dev, libmeep-mpich-dev, libmeep-mpich2-dev, libmeep-lam4-dev
-Depends: libmeep-openmpi28 (= ${binary:Version}), ${misc:Depends}
+Depends: libmeep-openmpi29 (= ${binary:Version}), ${misc:Depends}
 Description: development library for using parallel (OpenMPI) version of meep
  Meep is a free and open-source software package for electromagnetics
  simulation via the finite-difference time-domain (FDTD) method.
@@ -188,7 +191,7 @@
 Package: python3-meep-openmpi
 Section: python
 Architecture: any
-Depends: libmeep-openmpi28 (= ${binary:Version})
+Depends: libmeep-openmpi29 (= ${binary:Version})
         , ${misc:Depends}
         , ${shlibs:Depends}
         , python3-numpy

## meep-openmpi 1.25.0

=== doc/requirements.txt ===
mkdocs==1.4.2
python-markdown-math
mkdocs-material

=== debian/changelog ===
meep-openmpi (1.25.0-2) unstable; urgency=medium

  * debian/control: also add Conflicts: for python3 packages
                    (Closes: #1035003)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 09 May 2023 22:49:17 +0200

meep-openmpi (1.25.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: update github watch file

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 07 Dec 2022 08:45:00 +0100

=== debian/control ===
--- 
+++ 
@@ -68,7 +68,7 @@
  As opposed to meep-mpi this package also contains the OpenMPI version of
  libhdf5.
 
-Package: libmeep-openmpi29
+Package: libmeep-openmpi30
 Section: libs
 Conflicts: libmeep-openmpi6
 	, libmeep-openmpi7
@@ -80,6 +80,7 @@
 	, libmeep-openmpi23
 	, libmeep-openmpi27
 	, libmeep-openmpi28
+	, libmeep-openmpi29
 	, libmeep-lam4-6
 	, libmeep-lam4-7
 	, libmeep-lam4-8
@@ -99,6 +100,7 @@
 	, libmeep-mpi-default27
 	, libmeep-mpi-default28
 	, libmeep-mpi-default29
+	, libmeep-mpi-default30
 	, libmeep-mpich2-6
 	, libmeep-mpich2-7
 	, libmeep-mpich2-8
@@ -119,6 +121,7 @@
 	, libmeep27
 	, libmeep28
 	, libmeep29
+	, libmeep30
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: library for using parallel (OpenMPI) version of meep
@@ -156,7 +159,7 @@
 Section: libdevel
 Architecture: any
 Conflicts: libmeep-dev, libmeep-mpi-dev, libmeep-mpich-dev, libmeep-mpich2-dev, libmeep-lam4-dev
-Depends: libmeep-openmpi29 (= ${binary:Version}), ${misc:Depends}
+Depends: libmeep-openmpi30 (= ${binary:Version}), ${misc:Depends}
 Description: development library for using parallel (OpenMPI) version of meep
  Meep is a free and open-source software package for electromagnetics
  simulation via the finite-difference time-domain (FDTD) method.
@@ -191,11 +194,12 @@
 Package: python3-meep-openmpi
 Section: python
 Architecture: any
-Depends: libmeep-openmpi29 (= ${binary:Version})
+Depends: libmeep-openmpi30 (= ${binary:Version})
         , ${misc:Depends}
         , ${shlibs:Depends}
         , python3-numpy
         , python3
+Conflicts: python3-meep-mpi-default, python3-meep
 Description: software package for FDTD simulation with Python
  Meep is a free and open-source software package for electromagnetics
  simulation via the finite-difference time-domain (FDTD) method.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
#export DH_OPTIONS

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

install_file    = /usr/bin/install -p -o root -g root -m 644
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
arch = $(shell dpkg-architecture -qDEB_BUILD_ARCH)

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/openmpi/libhdf5.so),)
  export DEB_CPPFLAGS_MAINT_APPEND := -I/usr/include/hdf5/openmpi
  export DEB_LDFLAGS_MAINT_APPEND := -Wl,-L/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/openmpi
endif

CONFIGURE_FLAGS = --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr --mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--with-libctl=/usr/share/libctl \
	--with-gcc-arch=no \
	--enable-shared --with-pic --enable-cxx \
	--with-mpi=yes \
	--enable-maintainer-mode

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	F77=gfortran dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_auto_install:
	dh_installchangelogs NEWS.md
	dh_auto_install
	find
	$(RM) debian/tmp/usr/lib/python*/site-packages/meep/*.pyc
	$(RM) debian/tmp/usr/lib/python*/site-packages/meep/*.pyo
	$(RM) debian/tmp/usr/lib/python*/site-packages/meep/*.a
	$(RM) debian/tmp/usr/lib/python*/site-packages/meep/*.la
	$(RM) debian/tmp/usr/lib/python*/site-packages/meep/mpb/*.pyc
	$(RM) debian/tmp/usr/lib/python*/site-packages/meep/mpb/*.pyo
	$(RM) debian/tmp/usr/lib/python*/site-packages/meep/mpb/*.a
	$(RM) debian/tmp/usr/lib/python*/site-packages/meep/mpb/*.la
	$(RM) -rf debian/tmp/usr/lib/python*/site-packages/meep/__pycache__/
	$(RM) -rf debian/tmp/usr/lib/python*/site-packages/meep/adjoint/__pycache__/

	
override_dh_clean:
	# we do not need this anymore
	rm -f tests/latest_output
	dh_clean

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo ${arch}
	if [ "${arch}" = "armel" ] || \
           [ "${arch}" = "riscv64" ] || \
           [ "${arch}" = "mipsel" ] || \
           [ "${arch}" = "mips64el" ] || \
           [ "${arch}" = "hurd-i386" ] ; then \
	  echo "Do not make tests on this architecture" ;\
	else \
	  echo "Do make tests on this architecture" ;\
	  make check; \
	  find; \
	  cat tests/test-suite.log; \
	fi
#	# check whether testsuite runs everywhere
#	make check; \
#	cat tests/test-suite.log
endif
